<?php
include ("base/elemento.class.php");
include ("base/categoria.class.php");
include ("include/images/images_mod.class.php");

class utilizador extends elemento{
	
	
	function utilizador() {
        $c= new categoria;
    }

	function editar($id=""){

        $db= new dbElemento;
		$linha=@$db->getLinha($this->tipo, $id);
		
		$curMonth = date('n');
		$curYear  = date('Y');
		
		if ($curMonth == 12)
		    $firstDayNextMonth_t = mktime(0, 0, 0, 0, 0, $curYear+1);
		else
		    $firstDayNextMonth_t = mktime(0, 0, 0, $curMonth+1, 1);
			
		$firstDayNextYear_t = mktime(0, 0, 0, $curMonth+1, 1, $curYear+1);
		
		$firstDayNextMonth =	date('Y-m-d', $firstDayNextMonth_t);
		$firstDayNextYear = date('Y-m-d', $firstDayNextYear_t);
		
		$linha['numero']= $linha['numero']?$linha['numero']:$this->max()+1;
		
		
		if (!$linha['data_inicio']) $linha['data_inicio']=$firstDayNextMonth;
		if (!$linha['data_fim']) $linha['data_fim']=$firstDayNextYear;
		

		$f= new form($id, $linha , $this->req);
		$f->toolbars("", 1);
		
		$f->titulo("Utilizador / ",1,"",$f->textodireita);
		
		$f->campoTexto("Nome","nome" );
		$f->campoTexto("Email","email");
		$f->campoTexto("Número de assinante","numero");
		// passord = id
		
		$f->campoData2("Data inicio", "data_inicio");
		$f->campoData2("Data fim", "data_fim");
		
		$f->campoAreaTexto("Morada", "morada");
		//$f->campoTexto("Codigo Postal","codigo_postal");
		$f->campoCp("Codigo Postal","codigo_postal");
		$f->campoTexto("Localidade","localidade");
		$f->campoTexto("Telefone","telefone");
		$f->campoAreaTexto("Obs", "obs");
		
		//$f->campoHTML("Texto", "texto");

		$f->campoValor("ordem", $linha["ordem"]);
		//$f->campoSimNao("Destaque", "destaque");

		//$f->campoBotaoPreview($linha['permalink'],"../artigo_detalhe.php");
		$f->campoSimNao("Activo", "estado", 1);

		$sys_data = (($linha['sys_data'] != "0000-00-00")) ? $linha['sys_data'] : date("Y-m-d");
		$sys_hora = (($linha['sys_hora'] != "00:00:00")) ? $linha['sys_hora'] : date("H:i");
		$f->campoValor('sys_autor', $linha['sys_autor'] ? $linha['sys_autor'] : $_SESSION['authdata']['login']);
		$f->campoValor('sys_data', $sys_data);
		$f->campoValor('sys_hora', $sys_hora);
		
		//if($linha["data"] == "0000-00-00") $linha["data"] =  date("Y-m-d");
		//$f->campoValor('data', $linha["data"]);
		
		$f->mostra();
		
	}
	

	function listar($id=""){
		
        $campos=array("Registo"=>"id","Nome"=>"nome","Email"=>"email","Número"=>"numero","Data inicio"=>"data_inicio","Data fim"=>"data_fim", "Ordem"=>"ordem","Obs"=>"obs",  "Activo"=>"estado");

        $db= new dbElemento;
        
        $dados=$db->getLista($this->tipo, "", $campos , "id", 1 ,$this->req['offset'], $this->req['limit'], $this->req['procurar'] );
        $this->req['total']=$db->getTotal($this->tipo, $this->idCat, $this->req['procurar']);
                
		$max = sizeof($dados);

        $f= new lista($campos, $dados, $this->req);
	
        $toolbar= new toolbar(); 
		$toolbar->botao_l("Novo", 50);
		//if ($_SESSION['authdata']['super']) $toolbar->botao2_l("Mover", 50);
		//$toolbar->botao2_l("Copiar", 50);
		if ($_SESSION['authdata']['super']) $toolbar->botao2_l("Apagar", 50);
		$toolbar->ini();
		$toolbar->nav($this->req['offset'], $this->req['limit'], $this->req['total']);
		$toolbar->ini();
		//$toolbar->escolhe2("Estado","estado", $this->estados_lista, $valor_estado ,true);	
		$toolbar->procurar($this->req['procurar']);  
		//$toolbar->botao("procurar", 90);
		$toolbar->botao("procurar", 90);
		$toolbar->fim();

		$f->titulo("Utilizador / ");
		//$f->cabeca();
		$f->cabecaSimples();
		//$f->cabecaSimples("Comentários");
		
        //$f->filtros();
        //$f->tabela(true);
        if ($_SESSION['authdata']['super'])
			$f->tabela(false, true, true, 2, false);
		else
			$f->tabela(false, false, false, 2, false);
		
			
		$f->mostra();
	}
	
	
	function max(){
		$db= new dbElemento;
		$sql="select max(numero) as numeromax from ". $this->tipo;
		$lista=$db->get($sql);
		return $lista[0]['numeromax']?$lista[0]['numeromax']:5200;
	}
	
	
}
?>
